FONTIMAGE(1)

NAME
fontimage - produce a font thumbnail image

SYNOPSIS
fontimage [--help] [--width num] [--height num] [--pixelsize num] [--text string] [--o outputfile] [--usage] [--version] fontfile

DESCRIPTION
The program fontimage loads a font, which may be in any format fontforge(1) can read, and then produces an image showing representative glyphs of the font.

OPTIONS

--help
    Provide a description with a list of the available options.

--width num
    Specifies the width of the output image. If this is omitted the image will be as wide as necessary to display the text.

--height num
    Specifies the height of the output image. If this is omitted the image will be as high as necessary to display the text.

--pixelsize num
    Specifies the pixelsize used to display the text. This argument may be specified multiple times and each refers to any --text lines that follow it.

--text string
    Specifies a line of text to be displayed. The string must be in UTF-8. This argument may be specified multiple times to provide several lines of text. If no --text arguments are supplied fontimage will examine the font, looking for various scripts it knows about, and will try to display something appropriate for each.

-o  outfile
    Specifies the output filename for the image. The type of image will be determined by the file's extension. Currently only ".bmp" and ".png" are recognized. If omitted fontimage will choose an output name based on the font's fontname field.

--usage
    Display the usage description.

--version
    Display the current version

SEE ALSO
fontforge(1)

The HTML version of the fontforge manual at:
http://fontforge.sourceforge.net/

AUTHOR
Copyright (C) 2006 by George Williams (gww@silcom.com).